close all; clear all;

t0 = 2;
v0=3;
pnum=25;
a=5;
x1b=1;
x1e=179;
x2b=-2.5;
x2e=2.5;
x3b=0;
x3e=1.5;

x1=linspace(x1b,x1e,25)/180*pi;
x3=linspace(x3b,x3e,16);

XX = linspace(-20,20,100);
ZZ = linspace(0,8,100);
[XXX,ZZZ]=meshgrid(XX,ZZ);

for iz=1:length(x3)
  x(:,iz) =  a*cos(x1)*cosh(x3(iz));
  z(:,iz) =  a*sin(x1)*sinh(x3(iz));

end

x1o=-2.5;
x2o= 2.5;

for ix=1:length(XX)
    for iz=1:length(ZZ);
        t1(iz,ix) = sqrt( (XX(ix)-x1o)^2+ZZ(iz)^2)/v0;
        t2(iz,ix) = sqrt( (XX(ix)-x2o)^2+ZZ(iz)^2)/v0;
    end
end

t12=t1+t2;

%figure(2)
%subplot(311)
%imagesc(XX,ZZ,t1);axis image;
%subplot(312)
%imagesc(XX,ZZ,t2);axis image;
%subplot(313)
%imagesc(XX,ZZ,t12);axis image;

figure(1)
[c1,h1] = contour(XX,ZZ,t1, [2 2]);
[c2,h2] = contour(XX,ZZ,t2, [2 2]);
[c3,h3] = contour(XX,ZZ,t12,[4 4]);
hold on;

ncut=1;

for iz=1:ncut:length(x3)
    plot(x(1:end,iz),z(1:end,iz),'k');
end

for ix=1:ncut:length(x1)
    plot(x(ix,1:end)',z(ix,1:end)','k');
end

plot(c1(1,2:end),c1(2,2:end),'r--','LineWidth',5);
plot(c2(1,2:end),c2(2,2:end),'g--','LineWidth',5);
plot(c3(1,2:end),c3(2,2:end),'b','LineWidth',5);

axis image;axis ij;
set(gca,'FontName','Helvetica','FontSize',14,'Clipping','off');
j1=xlabel('Distance (km)');
j2=ylabel('Depth (km)');
set(j1,'FontName','Helvetica','FontSize',15,'Clipping','off');
set(j2,'FontName','Helvetica','FontSize',15,'Clipping','off');
print -depsc2 /Users/jeffreyshragge/Desktop/Papers/NewRWE/WhyEC.ps




